## flobopuyo 0.13

=== Makefile ===
# Makefile
# author: iOS-Software
# July 2004

#BINDIR=/usr/games/
DATADIR=\"data\"

# SDL_CONFIG=/home/jeko/opt/bin/sdl-config
SDL_CONFIG=sdl-config
CC=g++
CXX=g++

CFLAGS=`$(SDL_CONFIG) --cflags` -O3 -I/sw/include -DUSE_AUDIO
CXXFLAGS=${CFLAGS}

HFILES= IosException.h IosImgProcess.h IosVector.h PuyoCommander.h PuyoGame.h \
        PuyoIA.h PuyoPlayer.h PuyoStory.h PuyoView.h SDL_prim.h audio.h menu.h \
				menuitems.h preferences.h scrollingtext.h sofont.h SDL_Painter.h

OBJFILES= SDL_prim.o scenar.y.o scenar.l.o PuyoCommander.o IosException.o \
					IosVector.o main.o PuyoGame.o PuyoView.o PuyoIA.o sofont.o \
					menu.o menuitems.o audio.o scrollingtext.o preferences.o PuyoStory.o SDL_Painter.o

all: prelude flobopuyo

flobopuyo: ${OBJFILES}
	@echo "[flobopuyo]" && g++ $(CFLAGS) -o flobopuyo `$(SDL_CONFIG) --cflags --libs` -lSDL_mixer -lSDL_image ${OBJFILES}
	@echo "--------------------------------------"
	@echo " Compilation finished"
	@[ "x`cat WARNINGS | wc -l`" != "x0" ] && echo -e "--------------------------------------\n There have been some warnings:\n" && cat WARNINGS && rm -f WARNINGS && echo "--------------------------------------" || true
	@echo
	@echo " Type ./flobopuyo to play."
	@echo "--------------------------------------"
	
prelude:
	@rm -f WARNINGS
	@touch WARNINGS

%.o:%.c
	@echo "[$@]" && $(CC) $(CFLAGS) -DDATADIR=${DATADIR} -c $< 2>> WARNINGS || (cat WARNINGS && false)
	
%.o:%.cpp
	@echo "[$@]" && $(CXX) $(CFLAGS) -DDATADIR=${DATADIR} -c $< 2>> WARNINGS || (cat WARNINGS && false)

PuyoCommander.o:PuyoCommander.cpp ${HFILES}
PuyoGame.o:PuyoGame.cpp ${HFILES}
PuyoIA.o:PuyoIA.cpp ${HFILES}
PuyoStory.o:PuyoStory.cpp ${HFILES}
PuyoView.o:PuyoView.cpp ${HFILES}
main.o:main.cpp ${HFILES}
preferences.o:preferences.c ${HFILES}
scenar.l.o:scenar.l.c ${HFILES}
scenar.y.o:scenar.y.c ${HFILES}
SDL_Painter.o:SDL_Painter.cpp SDL_Painter.h
audio.o:audio.c audio.h
menu.o:menu.c menu.h menuitems.h
menuitems.o:menuitems.c menu.h menuitems.h
scrollingtext.o:scrollingtext.c
sofont.o:sofont.c
SDL_prim.o:SDL_prim.c
IosException.o:IosException.cpp
IosVector.o:IosVector.cpp

scenar.l.c:scenar.l ${HFILES}
	@echo "[$@]" && flex -oscenar.l.c scenar.l
scenar.y.c:scenar.y ${HFILES}
	@echo "[$@]" && bison -y -d -o scenar.y.c scenar.y

clean:
	rm -f *~ scenar.y.c scenar.y.h scenar.l.c *.o flobopuyo* WARNINGS

#_install: ${OBJFILES}
#	g++ $(CFLAGS) -o flobopuyo `$(SDL_CONFIG) --cflags --static-libs` -lSDL_mixer -lSDL_image ${OBJFILES}

#install: _install
#	strip --strip-all flobopuyo
#	mkdir -p ${DATADIR}
#	cp -r data/* ${DATADIR}
#	chmod a+rx ${DATADIR}
#	chmod a+rx ${DATADIR}/sfx
#	chmod a+rx ${DATADIR}/gfx
#	chmod a+rx ${DATADIR}/story
#	chmod -R a+r ${DATADIR}
#	cp ./flobopuyo ${BINDIR}/flobopuyo
#	chmod a+rx ${BINDIR}/flobopuyo

bundle_name = FloboPuyo.app
flobopuyo-static:SDL_prim.o
	bison -y -d -o scenar.y.c scenar.y
	flex -oscenar.l.c scenar.l
	g++ -DMACOSX $(CFLAGS) -o flobopuyo-static  SDL_prim.o PuyoCommander.cpp IosException.cpp IosVector.cpp main.cpp PuyoGame.cpp PuyoView.cpp PuyoIA.cpp sofont.c menu.c menuitems.c audio.c scrollingtext.c preferences.c SDL_Painter.cpp PuyoStory.cpp scenar.y.c scenar.l.c /sw/lib/libSDL_mixer.a /sw/lib/libvorbisfile.a /sw/lib/libvorbis.a /sw/lib/libogg.a /sw/lib/libsmpeg.a /sw/lib/libSDL_image.a /sw/lib/libjpeg.a /sw/lib/libpng.a -lz `$(SDL_CONFIG) --cflags --static-libs`

# /sw/lib/libvorbis.a   

bundle: flobopuyo-static
	mkdir -p $(bundle_name)/Contents/MacOS
	mkdir -p $(bundle_name)/Contents/Resources
	echo "APPL????" > $(bundle_name)/Contents/PkgInfo
	cp mac/Info.plist $(bundle_name)/Contents/
	cp mac/icon.icns $(bundle_name)/Contents/Resources/
	cp flobopuyo-static $(bundle_name)/Contents/MacOS/flobopuyo
	cp -r data $(bundle_name)/Contents/Resources
	strip $(bundle_name)/Contents/MacOS/flobopuyo

## flobopuyo 0.20

=== Makefile ===
# Makefile
# author: iOS-Software
# July 2004

###############
# Settings

ENABLE_AUDIO=true
ENABLE_OPENGL=false
ENABLE_DGA=false

DEBUG_MODE=false

# Unix/Linux settings
PREFIX=/usr/local
DATADIR=$(PREFIX)/share/games/flobopuyo
INSTALL_BINDIR=$(DESTDIR)/$(PREFIX)/games
INSTALL_DATADIR=$(DESTDIR)/$(DATADIR)

# Mac settings
macimage_name=FloBoPuyo\ $(VERSION)
bundle_name=FloboPuyo.app

# Win32 settings
CYGWIN_VERSION=CYGWIN_NT-5.1
WINZIP_NAME=flobopuyowin32
WINSDLINCLUDE=/home/$(USER)/SDL-1.2.7/include
WINSDLDEVLIBS=/home/$(USER)/SDL-1.2.7/lib
WINSDLRUNTIME=/home/$(USER)/SDL-1.2.7/lib
#
##########


##############
# Autodetection

PLATFORM=$(shell uname -s)

VERSION=$(shell grep "\#define FLOBOPUYOVERSION" PuyoVersion.c  | cut -d "\"" -f 2)
#
##############

SDL_CONFIG=sdl-config
CC=g++
CXX=g++

CFLAGS= -DDATADIR=\"${DATADIR}\"
LDFLAGS=

ifneq ($(PLATFORM), $(CYGWIN_VERSION))
CFLAGS:=$(CFLAGS) `$(SDL_CONFIG) --cflags` -I/sw/include
LDFLAGS:=$(LDFLAGS) `$(SDL_CONFIG) --cflags --libs`
endif

HFILES= HiScores.h IosException.h IosImgProcess.h IosVector.h PuyoCommander.h\
        PuyoGame.h PuyoAnimations.h AnimatedPuyo.h PuyoIA.h PuyoPlayer.h     \
        PuyoStory.h PuyoView.h SDL_prim.h audio.h menu.h menuitems.h         \
        preferences.h scrollingtext.h sofont.h SDL_Painter.h PuyoVersion.h   \
        InputManager.h GameControls.h HiScores.h IosImgProcess.h PuyoStarter.h


OBJFILES= SDL_prim.o HiScores.o scenar.y.o scenar.l.o PuyoCommander.o        \
          IosException.o IosVector.o main.o PuyoGame.o PuyoVersion.o         \
          PuyoView.o PuyoAnimations.o AnimatedPuyo.o PuyoIA.o sofont.o       \
          menu.o menuitems.o audio.o scrollingtext.o preferences.o           \
          PuyoStory.o SDL_Painter.o InputManager.o GameControls.o            \
          PuyoDoomMelt.o IosImgProcess.o corona32.o corona.o corona_palette.o\
	  PuyoStarter.o


################
# Mac OS X
ifeq ($(PLATFORM), Darwin)
CFLAGS:=$(CFLAGS) -DMACOSX -UDATADIR
endif

################
# Win32
ifeq ($(PLATFORM), $(CYGWIN_VERSION))
CFLAGS:=$(CFLAGS) -mno-cygwin -mwindows -DWIN32 -DYY_NEVER_INTERACTIVE=1 -I$(WINSDLINCLUDE) 
LDFLAGS:=$(LDFLAGS) -L$(WINSDLDEVLIBS) -lmingw32 -ljpeg -lzlib -lpng1 -lSDL_image -lSDL_mixer -lSDL -lSDLmain 
endif

ifeq ($(ENABLE_AUDIO), true)
CFLAGS:=$(CFLAGS) -DUSE_AUDIO=1
OBJFILES:=$(OBJFILES)
endif

ifeq ($(ENABLE_OPENGL), true)
CFLAGS:=$(CFLAGS) -DHAVE_OPENGL=1
OBJFILES:=$(OBJFILES) glSDL.o
ifeq ($(PLATFORM), Linux)
LDFLAGS:=$(LDFLAGS) -lGL
endif
endif

ifeq ($(ENABLE_DGA), true)
ifeq ($(PLATFORM), Linux)
CFLAGS:=$(CFLAGS) -DUSE_DGA=1
endif
endif

ifeq ($(DEBUG), true)
CFLAGS:=$(CFLAGS) -DDEBUG=1 -g
LDFLAGS:=$(LDFLAGS) -g
endif

CXXFLAGS=${CFLAGS}

all: prelude flobopuyo

flobopuyo: ${OBJFILES}
	@echo "[flobopuyo]" && g++ $(CFLAGS) $(LDFLAGS) -o flobopuyo -lSDL_mixer -lSDL_image ${OBJFILES}
	@echo "--------------------------------------"
	@echo " Compilation finished"
	@[ "x`cat WARNINGS | wc -l`" != "x0" ] && echo -e "--------------------------------------\n There have been some warnings:\n" && cat WARNINGS && rm -f WARNINGS && echo "--------------------------------------" || true
	@echo
	@echo " Type ./flobopuyo to play."
	@echo "--------------------------------------"

prelude:
	@rm -f WARNINGS
	@touch WARNINGS
	@echo "Compiling with CFLAGS=$(CFLAGS)"
	@echo "Compiling with LDFLAGS=$(LDFLAGS)"

%.o:%.c
	@echo "[$@]" && $(CC) $(CFLAGS) -c $< 2>> WARNINGS || (cat WARNINGS && false)

%.o:%.cpp
	@echo "[$@]" && $(CXX) $(CFLAGS) -c $< 2>> WARNINGS || (cat WARNINGS && false)

PuyoDoomMelt.o:PuyoDoomMelt.c ${HFILES}
HiScores.o:HiScores.cpp HiScores.h preferences.h
PuyoCommander.o:PuyoCommander.cpp ${HFILES}
PuyoGame.o:PuyoGame.cpp ${HFILES}
PuyoIA.o:PuyoIA.cpp ${HFILES}
PuyoStory.o:PuyoStory.cpp ${HFILES}
PuyoView.o:PuyoView.cpp ${HFILES}
AnimatedPuyo.o: AnimatedPuyo.cpp ${HFILES}
PuyoAnimations.o: PuyoAnimations.cpp ${HFILES}
main.o:main.cpp ${HFILES}
preferences.o:preferences.c preferences.h
scenar.l.o:scenar.l.c ${HFILES}
scenar.y.o:scenar.y.c ${HFILES}
InputManager.o:InputManager.cpp ${HFILES}
GameControls.o:GameControls.cpp ${HFILES}
IosImgProcess.o:IosImgProcess.cpp ${HFILES}
SDL_Painter.o:SDL_Painter.cpp SDL_Painter.h
audio.o:audio.c audio.h
menu.o:menu.c menu.h menuitems.h
menuitems.o:menuitems.c menu.h menuitems.h
scrollingtext.o:scrollingtext.c
sofont.o:sofont.c
IosException.o:IosException.cpp
IosVector.o:IosVector.cpp
glSDL.o:glSDL.c
	@echo "[$@]" && $(CC) $(CFLAGS) -c $< 2>> EXT_WARNINGS
	@rm -f EXT_WARNINGS
SDL_prim.o:SDL_prim.c
	@echo "[$@]" && $(CC) $(CFLAGS) -c $< 2>> EXT_WARNINGS
	@rm -f EXT_WARNINGS
corona.o:corona.cpp
corona32.o:corona32.cpp
corona_palette.o:corona_palette.cpp	

scenar.l.c:scenar.l ${HFILES}
	@echo "[$@]" && flex -oscenar.l.c scenar.l
scenar.y.c:scenar.y ${HFILES}
	@echo "[$@]" && bison -y -d -o scenar.y.c scenar.y

clean:
	rm -f *~ scenar.y.c scenar.y.h scenar.l.c *.o flobopuyo* WARNINGS
	rm -rf .xvpics data/.xvpics    data/*/.xvpics
	rm -rf $(bundle_name)
	rm -rf $(macimage_name)
	rm -f  $(macimage_name).dmg
	rm -f  .DS_Store */.DS_Store */*/.DS_Store .gdb_history

install: flobopuyo
	strip flobopuyo
	mkdir -p ${INSTALL_BINDIR}
	mkdir -p ${INSTALL_DATADIR}
	cp -r data/* ${INSTALL_DATADIR}
	chmod a+rx ${INSTALL_DATADIR}
	chmod a+rx ${INSTALL_DATADIR}/sfx
	chmod a+rx ${INSTALL_DATADIR}/gfx
	chmod a+rx ${INSTALL_DATADIR}/story
	chmod -R a+r ${INSTALL_DATADIR}
	cp ./flobopuyo ${INSTALL_BINDIR}/flobopuyo
	chmod a+rx ${INSTALL_BINDIR}/flobopuyo

flobopuyo-static: prelude  ${OBJFILES}
	@echo "[flobopuyo-static]" && g++ $(CFLAGS) -o flobopuyo-static ${OBJFILES}\
        /sw/lib/libSDL_mixer.a /sw/lib/libvorbisfile.a /sw/lib/libvorbis.a /sw/lib/libogg.a /sw/lib/libsmpeg.a /sw/lib/libSDL_image.a /sw/lib/libjpeg.a /sw/lib/libpng.a -lz `$(SDL_CONFIG) --static-libs`
	@echo "--------------------------------------"
	@echo " Compilation finished"

bundle: flobopuyo-static
	mkdir -p $(bundle_name)/Contents/MacOS
	mkdir -p $(bundle_name)/Contents/Resources
	echo "APPL????" > $(bundle_name)/Contents/PkgInfo
	sed "s/@@VERSION@@/$(VERSION)/" mac/Info.plist > $(bundle_name)/Contents/Info.plist
	cp mac/icon.icns $(bundle_name)/Contents/Resources/
	cp flobopuyo-static $(bundle_name)/Contents/MacOS/flobopuyo
	cp -r data $(bundle_name)/Contents/Resources
	rm -rf $(bundle_name)/Contents/Resources/data/CVS $(bundle_name)/Contents/Resources/data/*/CVS
	rm -rf $(bundle_name)/Contents/Resources/data/.xvpics $(bundle_name)/Contents/Resources/data/*/.xvpics
	rm -f $(bundle_name)/Contents/Resources/data/.DS_Store $(bundle_name)/Contents/Resources/data/*/.DS_Store
	strip $(bundle_name)/Contents/MacOS/flobopuyo

mac-package: bundle
	mkdir -p $(macimage_name)
	cp -r $(bundle_name) $(macimage_name)
	cp COPYING $(macimage_name)
	hdiutil create -srcfolder $(macimage_name) $(macimage_name).dmg
	hdiutil internet-enable $(macimage_name).dmg

win-package: flobopuyo
	mkdir -p $(WINZIP_NAME)
	cp -r data $(WINZIP_NAME)
	cp flobopuyo.exe $(WINZIP_NAME)
	cp COPYING $(WINZIP_NAME)
	cp $(WINSDLRUNTIME)/*.dll $(WINZIP_NAME)
	zip -r $(WINZIP_NAME) $(WINZIP_NAME)

=== debian/changelog ===
flobopuyo (0.20-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change source format to 3.0 (qulit)
    - Use quilt instead of simple-patchsys from cdbs.
  * Bump debhelper version to 9. (Closes: #965523)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 Dec 2022 01:59:50 +0800

flobopuyo (0.20-5) unstable; urgency=low

  * Fix "FTBFS with binutils-gold" (Closes: #554359).
    Thanks Fabrice Coutadeur <fabricesp@ubuntu.com> for the patch!
  * Standards-Version: 3.9.1.
     + Add Homepage field.
  * debian/copyright: Minor updates, fix typos.
  * 80_fix_typo.patch: Fix a typo to silence lintian.

 -- Uwe Hermann <uwe@debian.org>  Sun, 13 Mar 2011 22:40:09 +0100

flobopuyo (0.20-4) unstable; urgency=low

  * Acknowledge NMU, thanks Chris Lamb (Closes: #478378).
  * Re-enable audio, thanks Takeshi Hamasaki (Closes: #512321).
  * Set proper window title, thanks Takeshi Hamasaki (Closes: #537352).

 -- Uwe Hermann <uwe@debian.org>  Mon, 29 Nov 2010 15:49:14 +0100

flobopuyo (0.20-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashisms in debian/rules (Closes: #478378)
  * Bump Standards-Version to 3.8.0

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 16:48:14 +0100

flobopuyo (0.20-3) unstable; urgency=low

  * The "lazy bastard" release.
  * Acknowledge NMU, thanks Martin Michlmayr (Closes: #356878).
  * Switch to cdbs (+ debhelper 5).
  * Add new icon for flobopuyo (thanks Ubuntu!) + sharutils build-dependency.
  * debian/menu:
     + Move game to section Games/Blocks.
     + Changed title: s/flobopuyo/FloboPuyo/.
     + Use new icon.
  * debian/watch: Add file.
  * Drop manpage from debian/, it's shipped upstream now.
  * Drop left-over patch file.
  * Standards-Version: 3.7.3 (no changes required).
  * Add .desktop file (Closes: #409866).
  * Honor DEB_BUILD_OPTIONS=nostrip option (Closes: #436843).

 -- Uwe Hermann <uwe@debian.org>  Tue, 15 Apr 2008 17:16:07 +0200

flobopuyo (0.20-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file (Closes: #356878).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 23:08:25 +0200

flobopuyo (0.20-2) unstable; urgency=low

  * Recompile for the C++ transition.
  * Standards-Version: 3.6.2.0 (no changes required).
  * debian/copyright: Cosmetic changes.

 -- Uwe Hermann <uwe@debian.org>  Sun, 16 Oct 2005 04:29:46 +0200

flobopuyo (0.20-1) unstable; urgency=low

  * New upstream release.
  * The new release comes with a Makefile flag for turning DGA on/off.
    By default it's off, so we can now run as non-root (Closes: #271446).
  * Applied patch by Andreas Jochens which fixes a compile error on
    amd64 with gcc-4.0 (Closes: #289218).

 -- Uwe Hermann <uwe@debian.org>  Fri,  4 Mar 2005 16:53:54 +0100

flobopuyo (0.13-1) unstable; urgency=low

  * Initial Release (Closes: #267615).
  * I wrote and added a manpage, as there was none upstream.

 -- Uwe Hermann <uwe@debian.org>  Tue,  7 Sep 2004 00:13:24 +0200

=== debian/control ===
Source: flobopuyo
Section: games
Priority: optional
Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs, debhelper (>= 9), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, flex, bison, sharutils
Standards-Version: 3.9.1
Homepage: http://www.fovea.cc/flobopuyo-en

Package: flobopuyo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clone of the PuyoPuyo game
 The goal of FloboPuyo is to make groups of four or more Puyos (coloured
 bubbles) to make them explode and send bad ghost Puyos to your opponent.
 You win the game if your opponent reaches the top of the board. You can
 play against computer or another human.

=== debian/rules ===
#!/usr/bin/make -f
  
DEB_INSTALL_MANPAGES_flobopuyo := man/flobopuyo.6

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/flobopuyo

CFLAGS = -DUSE_AUDIO=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

binary-post-install/flobopuyo::
	cp debian/flobopuyo.desktop debian/flobopuyo/usr/share/applications
	uudecode debian/flobopuyo.png.uuencode
	cp debian/flobopuyo.xpm debian/flobopuyo.png debian/flobopuyo/usr/share/pixmaps	
	# Remove ._bi crap to silence lintian.
	rm -f debian/flobopuyo/usr/share/games/flobopuyo/sfx/._bi

clean::
	rm -f debian/flobopuyo.png

=== debian/watch ===
version=3
http://www.ios-software.com/flobopuyo/flobopuyo-(.*)\.tgz
